
Redmine - Feature #2048

Code Review Module

2008-10-18 02:05 - Gabriel Moreira

Status: New Start date: 2008-10-18

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Create a integrated code review module like atlassian crucible, reviewboard, rietveld,  mondrian etc...

Related issues:

Related to Redmine - Feature #7747: Add capability to ask\accept\reject revie... New 2011-03-01

Related to Redmine - Feature #1339: Comments on revisions New 2008-05-31

Has duplicate Redmine - Feature #469: Code Review/Approve workflow? Closed

History

#1 - 2008-10-21 19:38 - Lane Roathe

+1 - this would be a very good feature for those of us using Redmine for project planning/management vs simple bug tracking.

#2 - 2008-10-21 20:44 - Anonymous

+1

#3 - 2008-10-22 08:42 - Philippe Lafoucrière

+1, agree with Lane

#4 - 2008-10-22 09:02 - Thomas Lecavelier

Should be a plugin, not a feature: redmine has to stay as lightweight as possible out of the box.

#5 - 2008-10-22 11:14 - Octavian Cacina

+1, A fist step: allow comments on Changesets, it would be a big improvement in this direction.

#6 - 2008-11-12 16:57 - Gabriel Moreira

I agree. Allow comments on Changesets is more simple to begin.

Review Board: OpenSource (

 http://www.review-board.org/

Atlassian Crucible Commercial (Has more features then Review Board)

 http://www.atlassian.com/software/crucible/screenshots/default.jsp

#7 - 2009-01-04 19:16 - Aaron Soules

Agreed, I use redmine at work for several projects and we would benefit from repository comments. I would like to replicate the github comment

system, where you can tag your comment with a specific line number. That way my team could use it as a lightweight code review system. Once that

works, I would like to add a feature that allows the commiter to request reviews from other users.

#8 - 2009-03-31 10:06 - Oleg Lozinskij

+1

#9 - 2009-04-05 22:43 - Silas Sewell

+1

#10 - 2009-04-06 10:45 - Alexey Lapitksy

+1
#11 - 2009-07-21 02:53 - Aaron Soules

- File changeset_journals_v1.diff added

- % Done changed from 0 to 20

I wrote the part for adding comments to a changesets (using the existing Journal model). I couldn't figure out how to get a checkbox to show up in the

email notification prefs, but I also wrote the code that sends an email to the revision committer (and other users who have commented) when

someone comments on a revision.

Please let me know what I can improve/fix, This is my first contribution to Redmine :)

I've attached my diff against r2824

#12 - 2009-07-21 03:13 - Aaron Soules

hmm, didn't see that code review plugin... guess this issue got a little stale :) I still like the github interface better, which is what I was going for. Any

thoughts? Should this code stay outside of Redmine Core?

#13 - 2009-09-02 09:26 - Anton Nepomnyaschih

There is code review plugin for redmine. It looks great: http://www.redmine.org/boards/3/topics/5878

#14 - 2012-01-05 17:53 - Etienne Massip

- Category set to Plugin Request

#15 - 2013-03-18 09:37 - Dipan Mehta

You can use the Code Review plugin. It works very well and quite the perfect module.

#16 - 2013-09-23 01:49 - rm user

Dipan Mehta wrote:

You can use the Code Review plugin. It works very well and quite the perfect module.

 no it's not giving accept/reject functionality and not e-mailing status to the person who commited into repository.

you can only comment on specific revision line or whole revision (not really convinient because it creates an issue per each line).

in other words: its not suitable for using in production environment.

i read a lot about gerrit/reviewboard might give it a try later.

#17 - 2020-01-14 11:16 - pasquale [:dedalus]

+1

nowadays from a developer team perspective this is a must have feature.

#18 - 2020-01-16 15:24 - Robert Schneider

@pasquale : there is this plugin which is compatible with version 4.0: https://www.redmine.org/plugins/redmine_code_review

#19 - 2020-01-16 16:02 - pasquale [:dedalus]

Hi Robert, thanks for your answer. I was looking for something similar to Review Board core or integration.

Do you use redmine_code_review in your daily workflow with your peers?

#20 - 2020-01-20 09:07 - Robert Schneider

No, I have no experience with it. Never done Code Reviews, unfortunately.

#21 - 2020-01-20 13:10 - rm user

pasquale [:dedalus] wrote:

+1

nowadays from a developer team perspective this is a must have feature.

 I'd recommend using gitlab with pull requests, much better for code review. Also you can integrate gitlab with redmine by disabling issues in the gitlab

and linking them to your redmine installation.
#22 - 2020-01-22 11:35 - pasquale [:dedalus]

GitLab Is very good, but I'm on Mercurial repositories.

#23 - 2021-04-17 09:33 - pasquale [:dedalus]

- File moz-phab.png added

As Idea, recently bugzilla has integrated an external code review tool (Phabricator) with this approach and now a specific section is present in the

issue page as show under:

 moz-phab.png 

A similar implementation on Redmine side, could be a great improvement\step forward for the community.

Files

changeset_journals_v1.diff 9.78 KB 2009-07-21 Aaron Soules

moz-phab.png 71.6 KB 2021-04-17 pasquale [:dedalus]
